SellaNMS v2.0.0 (11/xx/05) - http://www.digitalgenesis.com

Change Log:

  v2.0.0 (11/xx/05) - Architecture change and major enhancements.
   - Converted modules from threads to individual daemons, simplifying the
     design and providing enhanced reliability and performance. (Jim/Bill)
   - Created watchdog daemon responsible for managing daemons and monitoring
     their health. (Jim)
   - Created state daemon to process state changes, allowing alarms to be
     persistent though a restart of any daemon. (Bill)
   - Created libstate. Allows modules to request the current state of elements,
     interfaces, and addresses as determinted by the state module. (Bill)
   - Converted thread calls over to POSIX pthread functions. (Jim/Bill)
   - Converted modules internal thread interaction from a polling scheme to
     an interrupt based scheme. (Bill)
   - Rewrote trace-options support for improved functionality. (Bill/Jim)
   - Redesigned output modules/daemons to individually handle input, resulting
     in less RAM usage and better performance. (Jim)
   - Created a program to automatically generate a VIM syntax file, making it
     much eaiser to maintain. (Bill)
   - Introduced an adaptive backoff algorithm into the ICMP monitoring daemon,
     which handles queue congestion gracefully. (Jim)
   - Implemented conditional map-statements, which reduces interactions with
     the database, improving performance and scalability. (Jim)
   - Rewrote map-statements and policy-statments to preform few interactions
     with the database, improving performance and scalability. (Jim)
   - Created tidyd to provide time based clean up within the database. (Jim)
   - Created output syslogd daemon to replace the flatfile logging module
     in v1.0.0. (Jim)
   - Rewrote sella_nms.conf to include only basic configuration options and
     introduced sella_nms-complete.conf which includes all configuration
     options. (Bill/Jim)
   - Implemented include directory support within the configuration library
     and seperated out vendor specific policies into seperate files. (Bill).
   - Created admin-sella_nms.sh script to provide database administration and
     the ability to montior incoming alarms on the command line. (Jim)
   - Improved control of state change clearing of alarms in guid. (Jim)
   - Enhanced BGP alarms to provide ASN, organization name and contact
     information. Data can be updated via the asn_data table. (Jim)
   - Created a syslog output daemon used to keep a log of alarms. (Jim)
   - Improved email daemon to support multiple SMTP servers and fixed
     minor bugs in the supporting SMTP class. (Jim)
   - Created class for tracking the rate of input. This allows the NMS
     to handle devices that flood useless information. (Jim)

    Output from diffstat:

      0 files changed, 0 insertions(+), 0 deletions(-)


  v1.1.0 (not released) - Minor enhancements and bug fixes.
   - Improved handling of failed database connections. (Jim)
   - Applied gui modules queue-depth to the history queue to prevent the
     queue from growing out of control. (Jim)
   - Lowered the history modules duplicate suppression from 6 hours to
     15 minutes, to reduce the load placed on the database. (Jim)
   - Identified a memory leak within libdbi and provided a patch to correct
     it. See contrib/patches/libdbi-leak_fix.patch. (Jim)
   - Enhanced history module to respond to an interrupt from a kill -HUP in
     a reasonable time frame. (Jim)


  v1.0.0 (01/19/05) - Minor enhancements and bug fixes
   - Added a duplicate syslog message detector. Protects the NMS
     from floods of duplicate syslog messages. (Jim)
   - Added a duplicate SNMPTrap detector. Protects NMS from flood of
     SNMPTraps. (Jim)
   - Added a duplicate ICMP detector. Significantly reduces the amount
     of policy work that ICMP must perform, increases scalability. (Jim)
   - Added a database connection pool to libstorage. This cuts down on
     database open/close operations and fixes the TIME_WAIT bug. (Jim)
   - Topology now merges existing discovery with new discovery based on
     hostname first, and then fails back to IP match percentage. (Jim)
   - Converted from inet_aton, inet_ntoa and inet_addr over to thread
     safe functions inet_ntop and inet_pton. (Jim/Bill)

    Output from diffstat:
 
      CHANGELOG                                                               |   23 
      README                                                                  |    4 
      docs/BUGS                                                               |    8 
      docs/DEBUG                                                              |    2 
      docs/DIST                                                               |   57 
      docs/HEADER                                                             |    4 
      docs/INSTALL                                                            |   16 
      docs/MODULE                                                             |    4 
      docs/TODO                                                               |    8 
      docs/VERSION                                                            |   64 
      html/common/default.css                                                 |   42 
      html/config/config.php                                                  |   65 
      html/config/config.php.in                                               |    4 
      html/contrib/ne_viewer.php                                              |    6 
      html/contrib/reverses.php                                               |   12 
      src/Makefile.in                                                         |    9 
      src/aclocal.m4                                                          |   39 
      src/common/Makefile.in                                                  |   72 
      src/common/confignode.cxx                                               |   62 
      src/common/confignode.h                                                 |    7 
      src/common/defs.h                                                       |    6 
      src/common/ip_util.cxx                                                  |   11 
      src/common/nprocs.cxx                                                   |   70 
      src/common/nprocs.h                                                     |   18 
      src/common/setproctitle.cxx                                             |   46 
      src/common/setproctitle.h                                               |   24 
      src/common/snmp_util.cxx                                                |  125 
      src/common/snmp_util.h                                                  |   31 
      src/common/storagedata.cxx                                              |   38 
      src/common/util.cxx                                                     |    6 
      src/config.h.in                                                         |    7 
      src/configure                                                           | 1314 +++++---
      src/configure.in                                                        |   54 
      src/daemon/Makefile.in                                                  |   71 
      src/daemon/daemon.cxx                                                   |   34 
      src/daemon/daemon.h                                                     |    4 
      src/libs/policy_framework/Makefile.in                                   |  533 +++
      src/libs/policy_framework/map_statement_term.cxx                        |    4 
      src/libs/policy_framework/policy_statement_from_variable.cxx            |   37 
      src/libs/rrdtool/Makefile.in                                            |   14 
      src/libs/rrdtool/check.cxx                                              |    4 
      src/libs/rrdtool/loader.cxx                                             |   15 
      src/libs/rrdtool/loader.h                                               |    6 
      src/libs/rrdtool/rrdtool.cxx                                            |  211 +
      src/libs/rrdtool/rrdtool.h                                              |   26 
      src/libs/rrdtool/wrap_rrd.cxx                                           |   70 
      src/libs/rrdtool/wrap_rrd.h                                             |    5 
      src/libs/storage/Makefile.in                                            |   16 
      src/libs/storage/connection_pool.cxx                                    |  448 ++
      src/libs/storage/connection_pool.h                                      |   73 
      src/libs/storage/loader.cxx                                             |   23 
      src/libs/storage/loader.h                                               |    7 
      src/libs/storage/storage.cxx                                            |  293 -
      src/libs/storage/storage.h                                              |   15 
      src/modules/Makefile.in                                                 |    7 
      src/modules/discovery/Makefile.in                                       |   12 
      src/modules/discovery/icmp/Makefile.in                                  |   14 
      src/modules/discovery/icmp/icmp.cxx                                     |   17 
      src/modules/discovery/snmp/Makefile.in                                  |  138 
      src/modules/discovery/snmp/snmp.cxx                                     |   21 
      src/modules/discovery/topology/Makefile.in                              |    8 
      src/modules/discovery/topology/topology.cxx                             |  205 -
      src/modules/discovery/topology/topology.h                               |   10 
      src/modules/dummy/Makefile.in                                           |    8 
      src/modules/monitor/Makefile.in                                         |   14 
      src/modules/monitor/bgp/Makefile.in                                     |    6 
      src/modules/monitor/bgp/bgp.cxx                                         |    4 
      src/modules/monitor/icmp/Makefile.in                                    |   16 
      src/modules/monitor/icmp/icmp.cxx                                       |  346 +-
      src/modules/monitor/icmp/icmp.h                                         |   29 
      src/modules/monitor/netflow/Makefile.in                                 |    6 
      src/modules/monitor/netflow/netflow.cxx                                 |    4 
      src/modules/monitor/snmp/Makefile.in                                    |  128 
      src/modules/monitor/snmp/export.cxx                                     |   37 
      src/modules/monitor/snmp/export.h                                       |   31 
      src/modules/monitor/snmp/snmp.cxx                                       |  705 ++++
      src/modules/monitor/snmp/snmp.h                                         |  145 
      src/modules/monitor/snmptrap/Makefile.in                                |  138 
      src/modules/monitor/snmptrap/snmptrap.cxx                               |  377 +-
      src/modules/monitor/snmptrap/snmptrap.h                                 |   19 
      src/modules/monitor/syslog/Makefile.in                                  |   12 
      src/modules/monitor/syslog/syslog.cxx                                   |  150 
      src/modules/monitor/syslog/syslog.h                                     |   23 
      src/modules/output/Makefile.in                                          |   12 
      src/modules/output/email/Makefile.in                                    |    8 
      src/modules/output/gui/Makefile.in                                      |    8 
      src/modules/output/gui/event/Makefile.in                                |    6 
      src/modules/output/gui/event/event.cxx                                  |   14 
      src/modules/output/gui/gui.cxx                                          |   28 
      src/modules/output/gui/history/Makefile.in                              |    6 
      src/modules/output/log/Makefile.in                                      |    8 
      src/modules/output/script/Makefile.in                                   |    3 
      src/modules/output/snmptrap/Makefile.in                                 |    4 
      src/modules/output/sql/Makefile.in                                      |    3 
      src/modules/output/status/Makefile.in                                   |    8 
      src/modules/output/syslog/Makefile.in                                   |    4 
      support/format-statements.conf.in                                       |    4 
      support/mibs/RFC1406-MIB.txt                                            | 1622 ++++++++++
      support/mibs/arbor/arbornet-pdos.mib                                    |  464 ++
      support/mibs/arbor/arbornet-ptraffic.mib                                |   30 
      support/mibs/arbor/arbornet-smi.mib                                     |    2 
      support/mibs/arbor/arbornet-sp.mib                                      |  478 ++
      support/mibs/cisco/CISCO-ISDN-MIB.txt                                   |  402 ++
      support/policy-statements.conf.in                                       |  273 +
      support/sella_nms.conf.in                                               |   10 
      support/sella_nms.man.in                                                |    5 

      108 files changed, 8484 insertions(+), 2104 deletions(-)
 

  v0.3.0 (05/31/04) - Major enhancements and bug fixes
   - Rebuilt base class module loader to add support for plugins running
     in the background and in parallel. (Jim/Bill)
   - Combined daemons into one daemon. (Jim/Bill)
   - Rebuilt Web GUI from scratch with a new modular design. Now displays
     failures, recoveries, information and messages. (Bill/Jim)
   - Added basic monitoring functionality. (Jim)
   - Added generic event correlation to monitoring. (Bill)
   - Added correlation sub-modules for icmp and snmptraps. (Bill)
   - Added event notification to monitoring with email and flatfile
     logging support. (Jim)
   - Added syslog collector plugin. (Jim)
   - Rewrote topology to support rediscovery and much greater
     performance. (Jim/Bill)
   - MySQL module is now completely thread-safe. (Jim)
   - SNMP module now uses less memory. (Jim)
   - Added 2 penguin favicon.ico files to webgui. Favicon2.ico is from
     Larry Ewing/Ramon Casha at http://linux.org.mt. (Jim)
   - Added snmptrap collector plugin w/proxy support. (Jim)
   - Normalized functions between modules. (Jim)
   - Rewrote flatfile reader. Now many times faster, and more efficient. (Bill)
   - Flatfile config now maintains top down order. (Jim)
   - Rebuild module scheduler/loader (again). Simplier code that allows
     fully non-blocking background and parallel tasks. (Jim)
   - Fixed bug in ICMP discovery module that caused discovery to fail. (Jim)
   - Added a policy engine to replace correlation, greatly enhancing throuput
     and performance for the entire program. (Bill/Jim)
   - Rewrote ConfigNode for greater performance and lower memory usage. (Jim)
   - Converted modules over to new policy engine. (Jim/Bill)
   - Converted modules over to use new ConfigNode. (Jim/Bill)
   - Minor efficiency updates for ICMP discovery module. (Jim)
   - Enhanced speed of ICMP monitoring module. (Bill)
   - Fixed layer 3 connection handling within topology. (Jim)
   - Added support for gcc 3.x and Intel ICC 7.0. (Jim)
   - Converted over to new storage library based on libdbi. (Jim)
   - Added a new output backend w/several modules. (Jim)
   - Added support for NET-SNMP 5.x. (Jim)
   - Updated Web GUI to support new output backend. (Bill/Jim)
   - Added a collection of example policies, formats and maps. (Bill/Jim)
   - Added a --with-march option to the configure script. (Jim)
   - Added support for setuid/setgid (change owner) and chroot. (Jim)
   - Added support for SIGHUP and SIGTERM. (Jim/Bill)
   - Added backend RRDTool support. (Jim)
   - Added configurable TOS support and TOS monitoring support to ICMP
     Monitoring module. (Jim)

    Output from diffstat:
 
      CHANGELOG                                                               |   90 
      Makefile                                                                |    7 
      README                                                                  |  141 
      configure                                                               |   18 
      contrib/Makefile.in                                                     |   24 
      contrib/examples/deepcopy/Makefile.in                                   |    4 
      contrib/examples/deepcopy/hashmap.cxx                                   |   14 
      contrib/examples/deepcopy/vector.cxx                                    |   12 
      contrib/examples/dso-c++/Makefile.in                                    |    2 
      contrib/examples/dso-c/Makefile.in                                      |    2 
      contrib/modtest/Makefile.in                                             |   26 
      contrib/modtest/modtest.cxx                                             |    8 
      contrib/patches/libdbi.patch                                            |   10 
      contrib/scripts/awkrec.sh                                               |   53 
      contrib/scripts/headerizer.sh                                           |   54 
      contrib/scripts/mon.sh                                                  |   12 
      contrib/scripts/remcom.sh                                               |   52 
      contrib/scripts/start-discovery.sh.in                                   |    9 
      docs/BUGS                                                               |   35 
      docs/DEBUG                                                              |  125 
      docs/DIST                                                               |    6 
      docs/FOOTER                                                             |    9 
      docs/HEADER                                                             |    5 
      docs/INSTALL                                                            |  840 
      docs/MODULE                                                             |   72 
      docs/TODO                                                               |   42 
      docs/VERSION                                                            |  172 
      docs/sella_nms-mysql.sql                                                |   33 
      etc/future.conf                                                         |  174 
      etc/sella_nms.conf.in                                                   |   44 
      html/blank.html                                                         |   11 
      html/clearfailure.php                                                   |   61 
      html/common/default.css                                                 |  100 
      html/config.php.in                                                      |   36 
      html/config/.htaccess                                                   |    6 
      html/config/config.php                                                  |   64 
      html/config/config.php.in                                               |   64 
      html/contrib/index.html                                                 |    7 
      html/contrib/ne_viewer.php                                              |  218 
      html/contrib/reverses.php                                               |  118 
      html/detail/eventdetail_template.php                                    |  246 
      html/index.php                                                          |  172 
      html/libs/.htaccess                                                     |    6 
      html/libs/dgsutil/cgi.php                                               |   72 
      html/libs/dgsutil/debug.php                                             |  115 
      html/libs/dgsutil/filesystem.php                                        |  397 
      html/libs/dgsutil/misc.php                                              |   56 
      html/libs/dgsutil/startup.php                                           |  318 
      html/libs/dgsutil/text.php                                              |  155 
      html/libs/language/bulgarian.php                                        |   22 
      html/libs/language/dutch.php                                            |   22 
      html/libs/language/english.php                                          |   34 
      html/libs/language/french.php                                           |   22 
      html/libs/language/german.php                                           |   22 
      html/libs/language/italiano.php                                         |   22 
      html/libs/language/korean.php                                           |   22 
      html/libs/language/polish.php                                           |   22 
      html/libs/language/portuguese.php                                       |   22 
      html/libs/language/russian.php                                          |   22 
      html/libs/language/slovenian.php                                        |   22 
      html/libs/language/spanish.php                                          |   22 
      html/libs/language/swedish.php                                          |   22 
      html/libs/util.php                                                      |  174 
      html/modules/about/about.php                                            |   25 
      html/modules/about/templates/about_template.php                         |  115 
      html/modules/browser/browser.php                                        |   47 
      html/modules/browser/modules/browserbody.php                            |   50 
      html/modules/browser/modules/browsersearch.php                          |   43 
      html/modules/browser/modules/connectionlister.php                       |   34 
      html/modules/browser/modules/elementalerts.php                          |   34 
      html/modules/browser/modules/elementviewer.php                          |   34 
      html/modules/browser/modules/interfacelister.php                        |   34 
      html/modules/browser/modules/interfaceviewer.php                        |   34 
      html/modules/browser/modules/ipaddressviewer.php                        |   36 
      html/modules/browser/modules/templates/browserbody_template.php         |   67 
      html/modules/browser/modules/templates/browsersearch_template.php       |   11 
      html/modules/browser/modules/templates/connectionlister_template.php    |   64 
      html/modules/browser/modules/templates/elementalerts_template.php       |   61 
      html/modules/browser/modules/templates/elementviewer_template.php       |   83 
      html/modules/browser/modules/templates/interfacelister_template.php     |   84 
      html/modules/browser/modules/templates/interfaceviewer_template.php     |  161 
      html/modules/browser/templates/browser_template.php                     |   33 
      html/modules/events/events.php                                          |   64 
      html/modules/events/modules/alarms.php                                  |   29 
      html/modules/events/modules/alerts.php                                  |   28 
      html/modules/events/modules/currentnotifications.php                    |   91 
      html/modules/events/modules/eventviewer.php                             |   98 
      html/modules/events/modules/recoveries.php                              |   28 
      html/modules/events/modules/repairs.php                                 |  161 
      html/modules/events/modules/templates/currentnotifications_template.php |  135 
      html/modules/events/modules/templates/eventviewer_template.php          |  366 
      html/modules/events/modules/templates/messages_template.php             |   57 
      html/modules/events/modules/traps.php                                   |  101 
      html/modules/messageeditor/notifications.php                            |   34 
      html/modules/messageeditor/templates/notifications_template.php         |  267 
      html/modules/module.php                                                 |  196 
      html/modules/notifications/notifications.php                            |   34 
      html/modules/notifications/templates/notifications_template.php         |  316 
      html/modules/prefs/prefs.php                                            |   41 
      html/modules/prefs/prefs_template.php                                   |  346 
      html/modules/topology/templates/topology_template.php                   |   70 
      html/modules/topology/topology.php                                      |   39 
      html/nms/admin.php                                                      |  170 
      html/nms/index.html                                                     |   19 
      html/nms/modules/action.php                                             |  321 
      html/nms/modules/dig_down_bar.php                                       |  216 
      html/nms/modules/external.php                                           |  111 
      html/nms/modules/information.php                                        |  392 
      html/nms/modules/main_menu.php                                          |  135 
      html/sella_nms.php                                                      |  113 
      html/tmp/.placeholder                                                   |    1 
      html/traceroute.php                                                     |   90 
      html/utils.php                                                          |  799 
      src/Makefile.in                                                         |  241 
      src/acconfig.h                                                          |   39 
      src/aclocal.m4                                                          | 1139 +
      src/common/Makefile.in                                                  |  103 
      src/common/confignode.cxx                                               |  411 
      src/common/confignode.h                                                 |   72 
      src/common/debug.cxx                                                    |  156 
      src/common/debug.h                                                      |   58 
      src/common/defs.h                                                       |   77 
      src/common/ip_util.cxx                                                  |   93 
      src/common/ip_util.h                                                    |   35 
      src/common/netblock.cxx                                                 |  385 
      src/common/netblock.h                                                   |   59 
      src/common/sem.cxx                                                      |   75 
      src/common/sem.h                                                        |   50 
      src/common/setproctitle.cxx                                             |  109 
      src/common/setproctitle.h                                               |   10 
      src/common/smtp.cxx                                                     |  466 
      src/common/smtp.h                                                       |   79 
      src/common/snmp_util.cxx                                                |  394 
      src/common/snmp_util.h                                                  |   56 
      src/common/ssh.cxx                                                      |  307 
      src/common/ssh.h                                                        |   56 
      src/common/stl/algorithm                                                |   87 
      src/common/stl/deque                                                    |   28 
      src/common/stl/functional                                               |   30 
      src/common/stl/hash_map                                                 |   93 
      src/common/stl/hash_set                                                 |   28 
      src/common/stl/list                                                     |   28 
      src/common/stl/map                                                      |   28 
      src/common/stl/memory                                                   |   28 
      src/common/stl/queue                                                    |   28 
      src/common/stl/rope                                                     |   28 
      src/common/stl/set                                                      |   28 
      src/common/stl/slist                                                    |   28 
      src/common/stl/stack                                                    |   28 
      src/common/stl/string                                                   |   27 
      src/common/stl/utility                                                  |   28 
      src/common/stl/vector                                                   |   28 
      src/common/storagedata.cxx                                              | 1817 +
      src/common/storagedata.h                                                |  277 
      src/common/template_func.h                                              |   54 
      src/common/util.cxx                                                     |  393 
      src/common/util.h                                                       |   48 
      src/config.h.in                                                         |  168 
      src/configure                                                           | 9153 +++++++---
      src/configure.in                                                        |  128 
      src/daemon/Makefile.in                                                  |  159 
      src/daemon/daemon.cxx                                                   |  790 
      src/daemon/daemon.h                                                     |   96 
      src/daemon/sella_nms.cxx                                                |   70 
      src/daemon/sella_nms.h                                                  |   27 
      src/discovery/Makefile.in                                               |  116 
      src/discovery/discovery.cxx                                             |  345 
      src/discovery/discovery.h                                               |   31 
      src/libs/Makefile.in                                                    |  126 
      src/libs/configuration/Makefile.in                                      |  131 
      src/libs/configuration/configuration.cxx                                |   41 
      src/libs/configuration/configuration.h                                  |   41 
      src/libs/configuration/flatfile/Makefile.in                             |  152 
      src/libs/configuration/flatfile/configuration_parser.cxx                |  595 
      src/libs/configuration/flatfile/configuration_parser.h                  |   63 
      src/libs/configuration/flatfile/export.cxx                              |   22 
      src/libs/configuration/flatfile/export.h                                |   31 
      src/libs/configuration/flatfile/flatfile.cxx                            |   70 
      src/libs/configuration/flatfile/flatfile.h                              |   38 
      src/libs/policy_framework/Makefile.in                                   |  283 
      src/libs/policy_framework/clause.cxx                                    |  116 
      src/libs/policy_framework/clause.h                                      |   93 
      src/libs/policy_framework/dependency.cxx                                |  101 
      src/libs/policy_framework/dependency.h                                  |   45 
      src/libs/policy_framework/format_statement.cxx                          |  113 
      src/libs/policy_framework/format_statement.h                            |   45 
      src/libs/policy_framework/format_statement_from.cxx                     |  222 
      src/libs/policy_framework/format_statement_from.h                       |   51 
      src/libs/policy_framework/format_statement_from_group.cxx               |  231 
      src/libs/policy_framework/format_statement_from_group.h                 |   47 
      src/libs/policy_framework/format_statement_from_variable.cxx            |  451 
      src/libs/policy_framework/format_statement_from_variable.h              |   77 
      src/libs/policy_framework/format_statement_term.cxx                     |   99 
      src/libs/policy_framework/format_statement_term.h                       |   43 
      src/libs/policy_framework/format_statement_then.cxx                     |   69 
      src/libs/policy_framework/format_statement_then.h                       |   38 
      src/libs/policy_framework/from.cxx                                      |   32 
      src/libs/policy_framework/from.h                                        |   37 
      src/libs/policy_framework/map_statement.cxx                             |   36 
      src/libs/policy_framework/map_statement.h                               |   32 
      src/libs/policy_framework/map_statement_term.cxx                        |  250 
      src/libs/policy_framework/map_statement_term.h                          |   50 
      src/libs/policy_framework/policy_framework.cxx                          |  474 
      src/libs/policy_framework/policy_framework.h                            |   66 
      src/libs/policy_framework/policy_statement.cxx                          |  210 
      src/libs/policy_framework/policy_statement.h                            |   59 
      src/libs/policy_framework/policy_statement_from.cxx                     |  198 
      src/libs/policy_framework/policy_statement_from.h                       |   54 
      src/libs/policy_framework/policy_statement_from_variable.cxx            |  659 
      src/libs/policy_framework/policy_statement_from_variable.h              |   87 
      src/libs/policy_framework/policy_statement_term.cxx                     |  119 
      src/libs/policy_framework/policy_statement_term.h                       |   46 
      src/libs/policy_framework/policy_statement_then.cxx                     |  288 
      src/libs/policy_framework/policy_statement_then.h                       |   63 
      src/libs/policy_framework/policy_statement_then_output.cxx              |  210 
      src/libs/policy_framework/policy_statement_then_output.h                |   49 
      src/libs/policy_framework/statement.cxx                                 |  279 
      src/libs/policy_framework/statement.h                                   |   57 
      src/libs/policy_framework/suffix.cxx                                    |  120 
      src/libs/policy_framework/suffix.h                                      |   52 
      src/libs/policy_framework/term.cxx                                      |  275 
      src/libs/policy_framework/term.h                                        |   56 
      src/libs/policy_framework/then.cxx                                      |   33 
      src/libs/policy_framework/then.h                                        |   37 
      src/libs/rrdtool/Makefile.in                                            |  137 
      src/libs/rrdtool/check.cxx                                              |   49 
      src/libs/rrdtool/check.h                                                |   33 
      src/libs/rrdtool/loader.cxx                                             |   50 
      src/libs/rrdtool/loader.h                                               |   37 
      src/libs/rrdtool/rrdtool.cxx                                            |  245 
      src/libs/rrdtool/rrdtool.h                                              |   74 
      src/libs/rrdtool/wrap_rrd.cxx                                           |  244 
      src/libs/rrdtool/wrap_rrd.h                                             |   21 
      src/libs/storage/Makefile.in                                            |  138 
      src/libs/storage/check.cxx                                              |   73 
      src/libs/storage/check.h                                                |   33 
      src/libs/storage/loader.cxx                                             |   46 
      src/libs/storage/loader.h                                               |   37 
      src/libs/storage/storage.cxx                                            |  485 
      src/libs/storage/storage.h                                              |   67 
      src/modules/Makefile.in                                                 |   91 
      src/modules/common/Makefile.in                                          |  105 
      src/modules/common/README                                               |    1 
      src/modules/common/icmp/Makefile.in                                     |  106 
      src/modules/configuration/Makefile.in                                   |  111 
      src/modules/configuration/confignode.cxx                                |  312 
      src/modules/configuration/confignode.h                                  |   54 
      src/modules/configuration/configuration.cxx                             |   73 
      src/modules/configuration/configuration.h                               |   35 
      src/modules/configuration/flatfile/Makefile.in                          |  115 
      src/modules/configuration/flatfile/export.cxx                           |   17 
      src/modules/configuration/flatfile/export.h                             |   22 
      src/modules/configuration/flatfile/flatfile.cxx                         |  256 
      src/modules/configuration/flatfile/flatfile.h                           |   32 
      src/modules/discovery/Makefile.in                                       |  115 
      src/modules/discovery/discovery.cxx                                     |  132 
      src/modules/discovery/discovery.h                                       |   45 
      src/modules/discovery/export.cxx                                        |   24 
      src/modules/discovery/export.h                                          |   15 
      src/modules/discovery/icmp/Makefile.in                                  |  131 
      src/modules/discovery/icmp/export.cxx                                   |   16 
      src/modules/discovery/icmp/export.h                                     |   15 
      src/modules/discovery/icmp/icmp.cxx                                     |  813 
      src/modules/discovery/icmp/icmp.h                                       |   82 
      src/modules/discovery/icmp/netblock.cxx                                 |  221 
      src/modules/discovery/icmp/netblock.h                                   |   35 
      src/modules/discovery/snmp/Makefile.in                                  |  167 
      src/modules/discovery/snmp/export.cxx                                   |   37 
      src/modules/discovery/snmp/export.h                                     |   31 
      src/modules/discovery/snmp/snmp.cxx                                     |  598 
      src/modules/discovery/snmp/snmp.h                                       |  101 
      src/modules/discovery/topology/Makefile.in                              |  167 
      src/modules/discovery/topology/export.cxx                               |   37 
      src/modules/discovery/topology/export.h                                 |   31 
      src/modules/discovery/topology/topology.cxx                             | 2009 ++
      src/modules/discovery/topology/topology.h                               |  153 
      src/modules/dummy/Makefile.in                                           |  137 
      src/modules/dummy/dummy.cxx                                             |   56 
      src/modules/dummy/dummy.h                                               |   48 
      src/modules/dummy/export.cxx                                            |   37 
      src/modules/dummy/export.h                                              |   31 
      src/modules/module.cxx                                                  | 1244 +
      src/modules/module.h                                                    |  195 
      src/modules/monitor/Makefile.in                                         |  110 
      src/modules/monitor/bgp/Makefile.in                                     |  166 
      src/modules/monitor/bgp/bgp.cxx                                         |  646 
      src/modules/monitor/bgp/bgp.h                                           |  189 
      src/modules/monitor/bgp/export.cxx                                      |   33 
      src/modules/monitor/bgp/export.h                                        |   31 
      src/modules/monitor/export.cxx                                          |   34 
      src/modules/monitor/export.h                                            |   31 
      src/modules/monitor/icmp/Makefile.in                                    |  121 
      src/modules/monitor/icmp/export.cxx                                     |   37 
      src/modules/monitor/icmp/export.h                                       |   31 
      src/modules/monitor/icmp/icmp.cxx                                       | 1795 +
      src/modules/monitor/icmp/icmp.h                                         |  220 
      src/modules/monitor/monitor.cxx                                         |  172 
      src/modules/monitor/monitor.h                                           |   62 
      src/modules/monitor/netflow/Makefile.in                                 |  165 
      src/modules/monitor/netflow/export.cxx                                  |   33 
      src/modules/monitor/netflow/export.h                                    |   31 
      src/modules/monitor/netflow/netflow.cxx                                 |  652 
      src/modules/monitor/netflow/netflow.h                                   |  120 
      src/modules/monitor/snmptrap/Makefile.in                                |  165 
      src/modules/monitor/snmptrap/export.cxx                                 |   33 
      src/modules/monitor/snmptrap/export.h                                   |   31 
      src/modules/monitor/snmptrap/snmptrap.cxx                               | 1065 +
      src/modules/monitor/snmptrap/snmptrap.h                                 |   89 
      src/modules/monitor/syslog/Makefile.in                                  |  165 
      src/modules/monitor/syslog/README                                       |   92 
      src/modules/monitor/syslog/export.cxx                                   |   33 
      src/modules/monitor/syslog/export.h                                     |   31 
      src/modules/monitor/syslog/syslog.cxx                                   |  626 
      src/modules/monitor/syslog/syslog.h                                     |   82 
      src/modules/output/Makefile.in                                          |  156 
      src/modules/output/email/Makefile.in                                    |  164 
      src/modules/output/email/email.cxx                                      |  342 
      src/modules/output/email/email.h                                        |   52 
      src/modules/output/email/export.cxx                                     |   32 
      src/modules/output/email/export.h                                       |   31 
      src/modules/output/export.cxx                                           |   32 
      src/modules/output/export.h                                             |   31 
      src/modules/output/gui/Makefile.in                                      |  162 
      src/modules/output/gui/event/Makefile.in                                |  167 
      src/modules/output/gui/event/event.cxx                                  |  468 
      src/modules/output/gui/event/event.h                                    |   55 
      src/modules/output/gui/event/export.cxx                                 |   32 
      src/modules/output/gui/event/export.h                                   |   31 
      src/modules/output/gui/export.cxx                                       |   32 
      src/modules/output/gui/export.h                                         |   31 
      src/modules/output/gui/gui.cxx                                          |  249 
      src/modules/output/gui/gui.h                                            |   67 
      src/modules/output/gui/history/Makefile.in                              |  168 
      src/modules/output/gui/history/export.cxx                               |   32 
      src/modules/output/gui/history/export.h                                 |   31 
      src/modules/output/gui/history/history.cxx                              |  385 
      src/modules/output/gui/history/history.h                                |   58 
      src/modules/output/log/Makefile.in                                      |  162 
      src/modules/output/log/export.cxx                                       |   32 
      src/modules/output/log/export.h                                         |   31 
      src/modules/output/log/log.cxx                                          |  267 
      src/modules/output/log/log.h                                            |   50 
      src/modules/output/output.cxx                                           |  320 
      src/modules/output/output.h                                             |   94 
      src/modules/output/script/Makefile.in                                   |  164 
      src/modules/output/script/export.cxx                                    |   32 
      src/modules/output/script/export.h                                      |   31 
      src/modules/output/script/script.cxx                                    |  145 
      src/modules/output/script/script.h                                      |   49 
      src/modules/output/snmptrap/Makefile.in                                 |  164 
      src/modules/output/snmptrap/export.cxx                                  |   32 
      src/modules/output/snmptrap/export.h                                    |   31 
      src/modules/output/snmptrap/snmptrap.cxx                                |   60 
      src/modules/output/snmptrap/snmptrap.h                                  |   45 
      src/modules/output/sql/Makefile.in                                      |  164 
      src/modules/output/sql/export.cxx                                       |   32 
      src/modules/output/sql/export.h                                         |   31 
      src/modules/output/sql/sql.cxx                                          |   60 
      src/modules/output/sql/sql.h                                            |   45 
      src/modules/output/status/Makefile.in                                   |  162 
      src/modules/output/status/export.cxx                                    |   32 
      src/modules/output/status/export.h                                      |   31 
      src/modules/output/status/status.cxx                                    |  229 
      src/modules/output/status/status.h                                      |   50 
      src/modules/output/syslog/Makefile.in                                   |  164 
      src/modules/output/syslog/export.cxx                                    |   32 
      src/modules/output/syslog/export.h                                      |   31 
      src/modules/output/syslog/syslog.cxx                                    |   60 
      src/modules/output/syslog/syslog.h                                      |   44 
      src/modules/storage/Makefile.in                                         |  110 
      src/modules/storage/mysql/Makefile.in                                   |  115 
      src/modules/storage/mysql/export.cxx                                    |   17 
      src/modules/storage/mysql/export.h                                      |   22 
      src/modules/storage/mysql/mysql.cxx                                     |  335 
      src/modules/storage/mysql/mysql.h                                       |   51 
      src/modules/storage/storage.cxx                                         |  108 
      src/modules/storage/storage.h                                           |   43 
      src/modules/storage/storagedata.cxx                                     |  409 
      src/modules/storage/storagedata.h                                       |   83 
      src/monitor/Makefile.in                                                 |  107 
      src/monitor/monitor.cxx                                                 |    7 
      src/monitor/monitor.h                                                   |   16 
      src/shtool                                                              |  608 
      support/format-statements.conf.in                                       | 1376 +
      support/format-statements.conf.man.in                                   |   29 
      support/map-statements.conf.in                                          |  674 
      support/map-statements.conf.man.in                                      |   29 
      support/policy-statements.conf.in                                       | 4117 ++++
      support/policy-statements.conf.man.in                                   |   29 
      support/sella_nms-mysql.sql.in                                          |  455 
      support/sella_nms.conf.in                                               |  479 
      support/sella_nms.conf.man.in                                           |   29 
      support/sella_nms.init.d.in                                             |   59 
      support/sella_nms.man.in                                                |  133 
      support/sella_nms.vim                                                   |  432 

      404 files changed, 60676 insertions(+), 8577 deletions(-)


  v0.2.0 (not released) - Enhancements and bug fixes
   - Fixed incorrect release date and version number listed in files. (Jim)
   - Fixed a memory leak in discovery daemon. (Jim)
   - Configure script will now auto-detecte MySQL client libarires in
     /usr/lib/mysql. (Jim)
   - Can now truely compile with gcc 2.95.3. Needed to include -fpermissive
     for some code. (Jim)
   - Added an SNMP discovery module. (Jim)
     - Fixed ICMP discovery module. Performance was increased and results are
     now accurate. (Bill/Jim)
   - Migrated over to STLport v4.5 from SGI STL v3.3, for added portability
     and debug options. (Jim)
   - Fixed memory leaks in base modules. (Jim)
   - Added a correlation discovery module. (Bill)
   - Created new PHP scripts to display results from discovery. (Bill)
   - Fixed STL errors in ConfigNode and StorageData objects. (Jim)
   - Fixed several compilation warnings. (Jim)

    Output from diffstat:
 
      CHANGELOG                 |  113 +++++++
      index.php                 |   36 +-
 
      23 files changed, 1860 insertions, 754 deletions


  v0.1.0 (05/24/01) - Initial Release
   - Setup configure script and Makefiles. (Jim)
   - Built a framework for SellaNMS. (Jim/Bill)
   - Created the original set of documentation and support files. (Jim/Bill)
   - Created discovery daemon. (Bill/Jim)
   - Created icmp discovery module. (Bill)
   - Created mysql storage module. (Jim)
   - Created flatfile configuration module. (Jim)
   - Created PHP scripts to display results from discovery. (Bill)
